### Enumeration

# WebKit InsecureContentEvent

deprecated: 2.46

#### Declaration

    enum WebKit.InsecureContentEvent

#### Description [src]

Enum values previously used to denote the different events which can trigger the detection of insecure content. Since 2.46, WebKit generally no longer loads insecure content in secure contexts.

Deprecated since: 2.46

Please do not use it in newly written code.

#### Members

`WEBKIT_INSECURE_CONTENT_RUN`

  Insecure content has been detected by trying to execute any kind of logic (e.g. a script) from an untrusted source.

  - Value: `0`
  - Available since: 6.0
`WEBKIT_INSECURE_CONTENT_DISPLAYED`

  Insecure content has been detected by trying to display any kind of resource (e.g. an image) from an untrusted source.

  - Value: `1`
  - Available since: 6.0